## pcs 0.10.4

=== requirements.txt ===
# astroid is dependency of pylint and it has impact on pylint checker capabilities
astroid>=2.3.0
pylint==2.4.1
tornado>=6.0.3
mypy==0.730

=== debian/changelog ===
pcs (0.10.4-3) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/Fix-python-tornado-5.patch: bring back workaround that fixes
    python-tornado until v6 becomes available.
  * Skip autopkgtest for unprivileged containers (LP: #1828228)

  [ Valentin Vidic ]
  * d/patches: fix warnings in ruby testsuite
  * d/control: update Standards-Version to 4.5.0
  * d/tests: show verbose progress for python tests

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Apr 2020 19:40:03 +0200

pcs (0.10.4-2) unstable; urgency=medium

  * d/salsa-ci.yml: enable CI
  * d/tests: update for pacemaker 2.0.3

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Dec 2019 17:43:15 +0100

pcs (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 Dec 2019 11:25:27 +0100

pcs (0.10.3-3) unstable; urgency=medium

  * d/tests: add depends for snmpd v5.8
  * d/control: build with Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Wed, 23 Oct 2019 19:31:02 +0200

pcs (0.10.3-2) unstable; urgency=medium

  * d/control: require tornado v6 for unit tests
  * d/tests: fix tests to work with snmpd v5.8

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Oct 2019 14:37:55 +0200

pcs (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3
  * d/patches: update for new version
  * d/control: use debhelper-compat (= 12)
  * d/control: add Pre-Depends for init-system-helpers
  * d/control: update Standards-Version to 4.4.1

 -- Valentin Vidic <vvidic@debian.org>  Mon, 30 Sep 2019 18:15:07 +0200

=== debian/control ===
Source: pcs
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Valentin Vidic <vvidic@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 fontconfig,
 libpam0g-dev,
 python3-all,
 python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ClusterLabs/pcs
Vcs-Browser: https://salsa.debian.org/ha-team/pcs
Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

Package: pcs
Architecture: all
Depends:
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 psmisc,
 fonts-dejavu-core,
 fonts-liberation,
 ${python3:Depends},
 python3-lxml,
 python3-openssl,
 python3-pkg-resources,
 python3-pycurl,
 python3-tornado (>= 6),
 ruby,
 ruby-backports,
 ruby-ethon,
 ruby-json,
 ruby-open4,
 ruby-sinatra,
 rubygems-integration
Pre-Depends: ${misc:Pre-Depends}
Recommends: pacemaker (>= 2.0)
Breaks: pacemaker (<< 2.0)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python3-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool. It permits
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.

Package: pcs-snmp
Architecture: all
Depends:
 ${misc:Depends},
 pcs,
 ${python3:Depends},
 python3-pyagentx,
 snmpd
Pre-Depends: ${misc:Pre-Depends}
Breaks: pcs (<< 0.9.165-3)
Replaces: pcs (<< 0.9.165-3)
Description: Pacemaker Configuration System SNMP agent
 SNMP agent which connects to the master agent (snmpd)
 via AgentX protocol and provides information about
 the status of a corosync/pacemaker cluster.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean --exclude="corosync.conf.orig"
	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg

override_dh_auto_build:
	echo "Bundler decoupled from build system"

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp

	# Make pcs
	$(MAKE) install \
		PREFIX=/usr \
		LIB_DIR=/usr/lib \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
		BUILD_GEMS=false \
		BUNDLE_INSTALL_PYAGENTX=false \
		SYSTEMD_DIR=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true \
		install_settings=true

	# Always install the init script
	install -m 755 -D pcsd/pcsd.debian $(CURDIR)/debian/tmp/etc/init.d/pcsd

	# Remove embedded fonts
	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
	do \
		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
	done

	# Cleanup pcsd installation
	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/test

override_dh_install:
	dh_install -p pcs -X /usr/lib/python3/dist-packages/pcs/snmp
	dh_install -p pcs-snmp

override_dh_python3:
	dh_python3 --skip-private
	dh_python3 /usr/share/pcsd

override_dh_installinit:
	dh_installinit -p pcs --onlyscripts --init-script=pcsd
	dh_installinit -p pcs-snmp --name=pcs_snmp_agent

override_dh_compress:
	# make non-scripts non-executable
	chmod -x $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/* || : # ignore *.ttf symlinks
	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.debian
	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
	dh_compress

=== debian/tests/control ===
Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0)
Restrictions: needs-root, skippable
Tests: status, setup

Depends: pcs, make, ruby-rack-test
Restrictions: rw-build-tree
Tests: testsuite-ruby

Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), fence-agents, booth-pacemaker
Restrictions: needs-root, rw-build-tree, skippable
Tests: testsuite-python

Depends: pcs-snmp, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), snmp (>= 5.8), snmpd (>= 5.8), snmp-mibs-downloader
Restrictions: needs-root, skippable
Tests: snmp

## pcs 0.10.6

=== debian/changelog ===
pcs (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6
  * d/patches: refresh for new version
  * d/control: drop rubygems-integration from Depends (Closes: #962460)
  * d/control: add python3-distro to Depends
  * d/control: use debhelper 13
  * d/tests: add fence-virt to Depends

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Jun 2020 10:04:04 +0200

pcs (0.10.5-2) unstable; urgency=medium

  * d/patches: drop tornado 5 patch

 -- Valentin Vidic <vvidic@debian.org>  Tue, 19 May 2020 00:27:42 +0200

pcs (0.10.5-1) unstable; urgency=medium

  * New upstream version 0.10.5
  * d/patches: refresh for new version
  * d/control: depend on python3-dacite
  * d/control: depend on thin
  * d/rules: update install location for internal binaries
  * d/rules: add init script for pcsd-ruby daemon

 -- Valentin Vidic <vvidic@debian.org>  Sat, 25 Apr 2020 18:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  fontconfig,
  libpam0g-dev,
@@ -26,18 +26,20 @@
  fonts-dejavu-core,
  fonts-liberation,
  ${python3:Depends},
+ python3-dacite,
+ python3-distro,
  python3-lxml,
  python3-openssl,
  python3-pkg-resources,
  python3-pycurl,
- python3-tornado (>= 6),
+ python3-tornado (>= 6.0.4),
  ruby,
  ruby-backports,
  ruby-ethon,
  ruby-json,
  ruby-open4,
  ruby-sinatra,
- rubygems-integration
+ thin
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: pacemaker (>= 2.0)
 Breaks: pacemaker (<< 2.0)

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 
 	# Make pcs
 	$(MAKE) install \
-		PREFIX=/usr \
-		LIB_DIR=/usr/lib \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
 		BUILD_GEMS=false \
@@ -31,9 +29,6 @@
 		SYSTEMD_DIR=/lib/systemd \
 		SYSTEMCTL_OVERRIDE=true \
 		install_settings=true
-
-	# Always install the init script
-	install -m 755 -D pcsd/pcsd.debian $(CURDIR)/debian/tmp/etc/init.d/pcsd
 
 	# Remove embedded fonts
 	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
@@ -45,6 +40,18 @@
 
 	# Cleanup pcsd installation
 	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/test
+	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/public/js/dev
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.debian
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.service
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.8
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/Gemfile*
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/Makefile
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.conf
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.logrotate
+	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.pam
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/bash_completion
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/pcs.8
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/pcs
 
 override_dh_install:
 	dh_install -p pcs -X /usr/lib/python3/dist-packages/pcs/snmp
@@ -55,7 +62,8 @@
 	dh_python3 /usr/share/pcsd
 
 override_dh_installinit:
-	dh_installinit -p pcs --onlyscripts --init-script=pcsd
+	dh_installinit -p pcs --name=pcsd-ruby
+	dh_installinit -p pcs --name=pcsd
 	dh_installinit -p pcs-snmp --name=pcs_snmp_agent
 
 override_dh_compress:
@@ -64,6 +72,5 @@
 	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
 	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
 	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
-	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.debian
 	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
 	dh_compress

## pcs 0.10.8

=== requirements.txt ===
# astroid is dependency of pylint and it has impact on pylint checker capabilities
astroid==2.4.2
pylint==2.6.0
tornado>=6.1.0
mypy==0.790
dacite
# temporarily stick to previous version until it's convinient to reformat code
black==20.8b1
python-dateutil>=2.7.0

=== debian/changelog ===
pcs (0.10.8-1ubuntu1) impish; urgency=medium

  * d/t/setup: Use the output of "uname -n" instead of "node1" as the
    pacemaker node name. Adjust corosync.conf and restart services
    before doing the cluster setup.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 06 Jul 2021 12:01:19 -0400

pcs (0.10.8-1) unstable; urgency=medium

  * New upstream version 0.10.8
  * d/patches: refresh for new version
  * d/control: update Standards-Version to 4.5.1

 -- Valentin Vidic <vvidic@debian.org>  Tue, 02 Feb 2021 19:38:26 +0100

pcs (0.10.7-2) unstable; urgency=medium

  * d/patches: fix python tests for pacemaker 2.0.5

 -- Valentin Vidic <vvidic@debian.org>  Sat, 14 Nov 2020 16:48:19 +0100

pcs (0.10.7-1) unstable; urgency=medium

  * New upstream version 0.10.7
  * d/rules: disable unit test during build
  * d/patches: refresh for new version
  * d/control: add new python dependencies
  * d/copyright: reorder File sections
  * d/lintian-overrides: ignore warning for jquery version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 09 Oct 2020 18:42:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pcs
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
@@ -12,7 +13,7 @@
  python3-all,
  python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
@@ -27,11 +28,13 @@
  fonts-liberation,
  ${python3:Depends},
  python3-dacite,
+ python3-dateutil,
  python3-distro,
  python3-lxml,
  python3-openssl,
  python3-pkg-resources,
  python3-pycurl,
+ python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
  ruby-backports,

## pcs 0.10.11

=== debian/changelog ===
pcs (0.10.11-2ubuntu3) jammy; urgency=medium

  * d/t/control: add resource-agents-extra as a dependency of the snmp test
    (LP: #1968221).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 07 Apr 2022 17:19:22 -0300

pcs (0.10.11-2ubuntu2) jammy; urgency=medium

  * d/control: depend on ruby-webrick explicitly.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Dec 2021 12:31:47 -0300

pcs (0.10.11-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 15 Dec 2021 09:16:41 -0300

pcs (0.10.11-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * d/rules: fix unit tests failing under reprotest
  * d/rules: do not package deinstall.txt for python

  [ Simon McVittie ]
  * d/rules: Specify interoperable path for systemctl and rm (Closes: #999552)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Nov 2021 21:57:37 +0100

pcs (0.10.11-1) unstable; urgency=medium

  * New upstream version 0.10.11 (Closes: #998707)
  * d/patches: update for new version
  * d/tests: update for new version
  * d/copyright: update for new version
  * d/control: require all dependencies at build time
  * d/rules: cleanup build and run tests during build
  * d/install: update installation paths
  * d/lintian-overrides: update jquery version
  * d/watch: update github location
  * d/control: update Standards-Version to 4.6.0

 -- Valentin Vidic <vvidic@debian.org>  Sun, 07 Nov 2021 13:01:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,36 @@
  dh-python,
  fontconfig,
  libpam0g-dev,
- python3-all,
- python3-setuptools
+ pkg-config,
+ psmisc,
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
+ python3-cryptography,
+ python3-dacite,
+ python3-dateutil,
+ python3-distro,
+ python3-lxml,
+ python3-pip,
+ python3-pyagentx,
+ python3-pycurl,
+ python3-pyparsing,
+ python3-setuptools,
+ python3-setuptools-scm,
+ python3-tornado (>= 6.0.4),
+ ruby,
+ ruby-backports,
+ ruby-dev,
+ ruby-ethon,
+ ruby-json,
+ ruby-open4,
+ ruby-rack-test,
+ ruby-rubygems,
+ ruby-sinatra,
+ ruby-webrick,
+ systemd,
+ thin,
+ wget,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
@@ -42,6 +68,7 @@
  ruby-json,
  ruby-open4,
  ruby-sinatra,
+ ruby-webrick,
  thin
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: pacemaker (>= 2.0)

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 override_dh_clean:
 	dh_clean --exclude="corosync.conf.orig"
 	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		RM=/bin/rm \
+		SYSTEMCTL=/bin/systemctl
 
 override_dh_auto_build:
 	echo "Bundler decoupled from build system"
@@ -39,19 +44,8 @@
 	done
 
 	# Cleanup pcsd installation
-	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/test
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/deinstall.txt
 	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/public/js/dev
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.debian
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.service
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/*.8
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/Gemfile*
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/Makefile
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.conf
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.logrotate
-	rm $(CURDIR)/debian/tmp/usr/share/pcsd/pcsd.pam
-	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/bash_completion
-	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/pcs.8
-	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/pcs
 
 override_dh_install:
 	dh_install -p pcs -X /usr/lib/python3/dist-packages/pcs/snmp
@@ -74,3 +68,7 @@
 	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
 	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
 	dh_compress
+
+# unit tests fail reprotest under some locales
+override_dh_auto_test:
+	LC_ALL=C.UTF-8 dh_auto_test

=== debian/tests/control ===
Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0)
Restrictions: needs-root, skippable
Tests: status, setup

Depends: pcs-snmp, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), snmp (>= 5.8), snmpd (>= 5.8), snmp-mibs-downloader, resource-agents-extra
Restrictions: needs-root, skippable
Tests: snmp

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://github.com/ClusterLabs/pcs/tags .*/v?(\d\S*)\.tar\.gz

## pcs 0.11.3

=== debian/changelog ===
pcs (0.11.3-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.
    - d/t/control: add resource-agents-extra as a dependency of the snmp test.
  * Dropped:
    - d/control: depend on ruby-webrick explicitly.
      [fixed in Debian version 0.10.11-3]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Aug 2022 16:23:51 -0300

pcs (0.11.3-1) unstable; urgency=medium

  * New upstream version 0.11.3
  * d/control: update Standards-Version to 4.6.1
  * d/lintian-overrides: update for mismatched-override
  * d/copyright: update year for debian files

 -- Valentin Vidic <vvidic@debian.org>  Sat, 02 Jul 2022 10:32:45 +0200

pcs (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 11 Feb 2022 20:48:39 +0100

pcs (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Update Debian packaging for removal of JS web interface
  * d/tests: allow warnings output from pcs commands

 -- Valentin Vidic <vvidic@debian.org>  Sun, 19 Dec 2021 21:57:52 +0100

pcs (0.10.11-3) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * Depend on ruby-webrick explicitly

  [ Valentin Vidic ]
  * d/copyright: update copyright years
  * d/patches: forward patch upstream
  * d/lintian-overrides: update overrides
  * d/watch: recognize alpha version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 15 Dec 2021 22:12:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- fontconfig,
  libpam0g-dev,
  pkg-config,
  psmisc,
@@ -16,7 +15,6 @@
  python3-cryptography,
  python3-dacite,
  python3-dateutil,
- python3-distro,
  python3-lxml,
  python3-pip,
  python3-pyagentx,
@@ -39,7 +37,7 @@
  thin,
  wget,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
@@ -50,12 +48,9 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  psmisc,
- fonts-dejavu-core,
- fonts-liberation,
  ${python3:Depends},
  python3-dacite,
  python3-dateutil,
- python3-distro,
  python3-lxml,
  python3-openssl,
  python3-pkg-resources,

## pcs 0.11.4

=== debian/changelog ===
pcs (0.11.4-1ubuntu3) lunar; urgency=medium

  * d/p/0002-replace-thin-with-puma.patch: add upstream patch to replace thin
    with puma. This change was suggested by the security team in order to
    proceed with the promotion to main.
  * d/control: depend on puma instead of thin.
  * d/p/0003-Do-not-depend-on-daemons-gem.patch: the daemons gem is not needed
    anymore since thin was removed as a dependency.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 13 Feb 2023 16:11:25 -0300

pcs (0.11.4-1ubuntu2) lunar; urgency=medium

  * d/p/0001-Do-not-depend-on-backports.patch: avoid dependency on
    ruby-backports. This is needed for the pcs promotion to main since
    ruby-backports will not be promoted.
  * d/control: do not depend on ruby-backports.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 09 Dec 2022 10:28:19 -0300

pcs (0.11.4-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.
    - d/t/control: add resource-agents-extra as a dependency of the snmp test.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 08 Dec 2022 09:19:47 -0300

pcs (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4
  * d/control: update dependencies for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 27 Nov 2022 14:08:17 +0100

pcs (0.11.3.1-1) unstable; urgency=medium

  * New upstream version 0.11.3.1
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Oct 2022 06:10:23 +0200

pcs (0.11.3-2) unstable; urgency=high

  * d/patches: add fix for CVE-2022-2735

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 Sep 2022 19:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libpam0g-dev,
  pkg-config,
  psmisc,
+ puma,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
  python3-cryptography,
  python3-dacite,
@@ -24,17 +25,15 @@
  python3-setuptools-scm,
  python3-tornado (>= 6.0.4),
  ruby,
- ruby-backports,
+ ruby-childprocess,
  ruby-dev,
  ruby-ethon,
  ruby-json,
- ruby-open4,
  ruby-rack-test,
  ruby-rubygems,
  ruby-sinatra,
  ruby-webrick,
  systemd,
- thin,
  wget,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
@@ -48,6 +47,7 @@
  ${misc:Depends},
  lsb-base (>= 3.0-6),
  psmisc,
+ puma,
  ${python3:Depends},
  python3-dacite,
  python3-dateutil,
@@ -58,13 +58,11 @@
  python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
- ruby-backports,
+ ruby-childprocess,
  ruby-ethon,
  ruby-json,
- ruby-open4,
  ruby-sinatra,
- ruby-webrick,
- thin
+ ruby-webrick
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: pacemaker (>= 2.0)
 Breaks: pacemaker (<< 2.0)

## pcs 0.11.5

=== debian/changelog ===
pcs (0.11.5-1+deb12u1) bookworm; urgency=medium

  * d/patches: add fix for resource move (Closes: #1042893)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Nov 2023 16:27:07 +0100

pcs (0.11.5-1) unstable; urgency=medium

  * New upstream version 0.11.5
  * d/control: drop lsb-base dependency
  * d/control: update dependencies for new version
  * d/control: update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Fri, 03 Mar 2023 08:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pcs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ libnss3-tools,
  libpam0g-dev,
  pkg-config,
  psmisc,
@@ -25,18 +25,19 @@
  python3-setuptools-scm,
  python3-tornado (>= 6.0.4),
  ruby,
+ ruby-backports,
  ruby-childprocess,
  ruby-dev,
  ruby-ethon,
  ruby-json,
+ ruby-nio4r,
  ruby-rack-test,
  ruby-rubygems,
  ruby-sinatra,
- ruby-webrick,
  systemd,
  wget,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
@@ -44,8 +45,8 @@
 Package: pcs
 Architecture: all
 Depends:
+ libnss3-tools,
  ${misc:Depends},
- lsb-base (>= 3.0-6),
  psmisc,
  puma,
  ${python3:Depends},
@@ -58,11 +59,12 @@
  python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
+ ruby-backports,
  ruby-childprocess,
  ruby-ethon,
  ruby-json,
+ ruby-nio4r,
  ruby-sinatra,
- ruby-webrick
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: pacemaker (>= 2.0)
 Breaks: pacemaker (<< 2.0)

=== debian/rules ===
--- 
+++ 
@@ -35,17 +35,8 @@
 		SYSTEMCTL_OVERRIDE=true \
 		install_settings=true
 
-	# Remove embedded fonts
-	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
-	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
-		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
-	do \
-		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
-	done
-
 	# Cleanup pcsd installation
 	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/deinstall.txt
-	rm -r $(CURDIR)/debian/tmp/usr/share/pcsd/public/js/dev
 
 override_dh_install:
 	dh_install -p pcs -X /usr/lib/python3/dist-packages/pcs/snmp
@@ -62,11 +53,9 @@
 
 override_dh_compress:
 	# make non-scripts non-executable
-	chmod -x $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/* || : # ignore *.ttf symlinks
 	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
 	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
 	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
-	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
 	dh_compress
 
 # unit tests fail reprotest under some locales

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)[_\.\-\+]?\d*)$/$1~$2/" \
  https://github.com/ClusterLabs/pcs/tags .*/v?(\d\S*)\.tar\.gz

## pcs 0.11.6

=== debian/changelog ===
pcs (0.11.6-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018098). Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.
    - d/t/control: add resource-agents-extra as a dependency of the snmp test.
    - d/p/0001-Do-not-depend-on-backports.patch: avoid dependency on
      ruby-backports. This is needed for the pcs promotion to main since
      ruby-backports will not be promoted.
    - d/control: do not depend on ruby-backports.
  * Dropped:
    - d/p/0002-replace-thin-with-puma.patch: Add upstream patch to
      replace thin with puma.
      [Applied by upstream in version 0.11.5]
    - d/p/0003-Do-not-depend-on-daemons-gem.patch: Add patch to not
      depend on daemons gem anymore.
      [Applied by upstream in version 0.11.5]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 19 Jul 2023 16:29:49 -0300

pcs (0.11.6-1) unstable; urgency=medium

  * New upstream version 0.11.6 (Closes: #1038797)
  * d/patches: add fix for tier0 test

 -- Valentin Vidic <vvidic@debian.org>  Fri, 23 Jun 2023 23:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pcs
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
@@ -25,7 +26,6 @@
  python3-setuptools-scm,
  python3-tornado (>= 6.0.4),
  ruby,
- ruby-backports,
  ruby-childprocess,
  ruby-dev,
  ruby-ethon,
@@ -59,7 +59,6 @@
  python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
- ruby-backports,
  ruby-childprocess,
  ruby-ethon,
  ruby-json,

## pcs 0.11.7

=== debian/changelog ===
pcs (0.11.7-2ubuntu2) plucky; urgency=medium

  * d/control: Remove dependency on ruby-json. (LP: #1178274)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 04 Feb 2025 10:03:12 -0300

pcs (0.11.7-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085264). Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.
    - d/t/control: add resource-agents-extra as a dependency of the snmp test.
    - d/p/0001-Do-not-depend-on-backports.patch: avoid dependency on
      ruby-backports. This is needed for the pcs promotion to main since
      ruby-backports will not be promoted.
    - d/control: do not depend on ruby-backports.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 17 Dec 2024 17:01:45 -0300

pcs (0.11.7-2) unstable; urgency=medium

  * d/control: update Build-Depends for pkgconf
  * d/control: update Standards-Version to 4.7.0
  * d/control: remove Build-Depends on wget
  * d/control: drop Depends on python3-pkg-resources (Closes: #1083532)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 05 Oct 2024 17:44:10 +0200

pcs (0.11.7-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040410). Remaining changes:
    - d/t/setup: Use the output of "uname -n" instead of "node1" as the
      pacemaker node name. Adjust corosync.conf and restart services
      before doing the cluster setup.
    - d/t/control: add resource-agents-extra as a dependency of the snmp test.
    - d/p/0001-Do-not-depend-on-backports.patch: avoid dependency on
      ruby-backports. This is needed for the pcs promotion to main since
      ruby-backports will not be promoted.
    - d/control: do not depend on ruby-backports.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 27 Feb 2024 19:11:59 -0300

pcs (0.11.7-1) unstable; urgency=medium

  * New upstream version 0.11.7
  * d/control: remove Build-Depends on systemd (Closes: #1060489)
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Jan 2024 13:09:30 +0100

pcs (0.11.6-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * d/rules: fix clean errors (Closes: #1049075, #1049638)

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052708)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Nov 2023 17:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-python,
  libnss3-tools,
  libpam0g-dev,
- pkg-config,
+ pkgconf,
  psmisc,
  puma,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
@@ -29,15 +29,13 @@
  ruby-childprocess,
  ruby-dev,
  ruby-ethon,
- ruby-json,
  ruby-nio4r,
  ruby-rack-test,
  ruby-rubygems,
  ruby-sinatra,
- systemd,
- wget,
+ systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
@@ -54,14 +52,12 @@
  python3-dateutil,
  python3-lxml,
  python3-openssl,
- python3-pkg-resources,
  python3-pycurl,
  python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
  ruby-childprocess,
  ruby-ethon,
- ruby-json,
  ruby-nio4r,
  ruby-sinatra,
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # output every command that modifies files on the build system.
 #DH_VERBOSE = 1
+
+export systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 # main packaging script based on dh7 syntax
 %:
@@ -12,10 +14,11 @@
 
 override_dh_clean:
 	dh_clean --exclude="corosync.conf.orig"
-	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg
+	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg .version
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-use-local-cache-only \
 		RM=/bin/rm \
 		SYSTEMCTL=/bin/systemctl

## pcs 0.11.9

=== debian/changelog ===
pcs (0.11.9-1) unstable; urgency=medium

  * New upstream version 0.11.9
  * d/patches: refresh for new version
  * d/control: add build depends on ruby-rackup
  * d/install: include pkgconfig for pcs

 -- Valentin Vidic <vvidic@debian.org>  Wed, 12 Feb 2025 22:35:03 +0100

pcs (0.11.7-3) unstable; urgency=medium

  * d/patches: add fix for ruby json tests failures (Closes: #1095176)
  * d/control: add depends on ruby-rackup (Closes: #1095183)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 08 Feb 2025 22:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pcs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
@@ -26,11 +25,14 @@
  python3-setuptools-scm,
  python3-tornado (>= 6.0.4),
  ruby,
+ ruby-backports,
  ruby-childprocess,
  ruby-dev,
  ruby-ethon,
+ ruby-json,
  ruby-nio4r,
  ruby-rack-test,
+ ruby-rackup,
  ruby-rubygems,
  ruby-sinatra,
  systemd-dev,
@@ -56,9 +58,12 @@
  python3-pyparsing,
  python3-tornado (>= 6.0.4),
  ruby,
+ ruby-backports,
  ruby-childprocess,
  ruby-ethon,
+ ruby-json,
  ruby-nio4r,
+ ruby-rackup,
  ruby-sinatra,
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: pacemaker (>= 2.0)

## pcs 0.12.0

=== debian/changelog ===
pcs (0.12.0-2) unstable; urgency=medium

  * d/rules: fix cleanup of COPYING file (Closes: #1103194)

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Apr 2025 21:24:21 +0200

pcs (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/watch: handle alpha and beta versions better
  * d/patches: refresh for the new version
  * d/rules: update for the new version
  * d/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Tue, 04 Mar 2025 22:07:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-use-local-cache-only \
+		--enable-webui \
 		RM=/bin/rm \
 		SYSTEMCTL=/bin/systemctl
 
@@ -27,6 +28,7 @@
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp
+	mkdir -p $(CURDIR)/debian/tmp/usr/local/sbin
 
 	# Make pcs
 	$(MAKE) install \
@@ -38,8 +40,15 @@
 		SYSTEMCTL_OVERRIDE=true \
 		install_settings=true
 
-	# Cleanup pcsd installation
-	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/pcs/deinstall.txt
+	# pip always installs in /usr/local
+	mkdir -p $(CURDIR)/debian/tmp/usr/sbin
+	mv $(CURDIR)/debian/tmp/usr/local/sbin/* \
+	   $(CURDIR)/debian/tmp/usr/sbin
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
+	mv $(CURDIR)/debian/tmp/usr/local/lib/python3*/dist-packages/* \
+	   $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/licenses/COPYING
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/direct_url.json
 
 override_dh_install:
 	dh_install -p pcs -X /usr/lib/python3/dist-packages/pcs/snmp

## pcs 0.12.0.2

=== debian/changelog ===
pcs (0.12.0.2-1) unstable; urgency=medium

  * New upstream version 0.12.0.2
  * d/rules: fix cleanup of COPYING file
  * d/patches: update description

 -- Valentin Vidic <vvidic@debian.org>  Wed, 30 Apr 2025 00:23:43 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  ruby-sinatra,
  systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)[_\.\-\+]?\d*)$/$1~$2/" \
  https://github.com/ClusterLabs/pcs/tags .*/v?(\d\S*)\.tar\.gz

## pcs 0.12.1

=== debian/changelog ===
pcs (0.12.1-2) unstable; urgency=medium

  * d/control: require newer version of ruby-rack

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Jul 2025 23:05:02 +0200

pcs (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * d/patches: refresh for the new version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 16 Jul 2025 23:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -63,6 +63,7 @@
  ruby-ethon,
  ruby-json,
  ruby-nio4r,
+ ruby-rack (>= 3.1.16),
  ruby-rackup,
  ruby-sinatra,
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,8 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
 	mv $(CURDIR)/debian/tmp/usr/local/lib/python3*/dist-packages/* \
 	   $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
-	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/licenses/COPYING
+	rm -fv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/COPYING \
+	       $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/licenses/COPYING
 	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/direct_url.json
 
 override_dh_install:

=== debian/tests/control ===
Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0)
Restrictions: needs-root, skippable, allow-stderr
Tests: status, setup

Depends: pcs-snmp, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), snmp (>= 5.8), snmpd (>= 5.8), snmp-mibs-downloader
Restrictions: needs-root, skippable
Tests: snmp

## pcs 0.12.2

=== debian/changelog ===
pcs (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * d/tests: fix autopkgtest failure with net-snmp 5.9.5.2 (Closes: #1125699)
  * d/control: remove redundant fields
  * d/control: update Standards-Version to 4.7.3
  * d/tests: ignore warning message from new pcs version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 24 Jan 2026 15:01:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pcs
 Section: admin
-Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Valentin Vidic <vvidic@debian.org>
@@ -36,8 +35,7 @@
  ruby-rubygems,
  ruby-sinatra,
  systemd-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

## pcs annotator-0.1.12

=== requirements.txt ===
langchain
python-dotenv
langchain-groq
langchain_openai
langchain-anthropic
langchain-community
langchain-huggingface
